---
title: Chef Habitat 0.54.0 Released
date: 2018-02-20
author: Tasha Drew
tags: release notes
category: product
classes: body-article
---

Habitat 0.54.0 Release Notes

We are happy to announce the release of Chef Habitat 0.54.0. We have a number of new features as well as bug fixes, so please read on for all the details. If you just want the binaries, head on over to [Install Chef Habitat](https://www.habitat.sh/docs/using-habitat/#install-habitat). Thanks again for using Chef Habitat!

Highlights:

* [BREAKING CHANGE] Updates Kubernetes and Helm exporters for latest Chef Habitat Operator version
* [BUGFIX] Fix array access regression in template rendering
* [BUGFIX] `hab svc load` respects currently-installed software
* [BUGFIX] Download on-demand packages from the `stable` channel
* [FEATURE] Added ability to pass secrets into the Studio


<h2> Updated Kubernetes and Helm exporters for latest Chef Habitat Operator version </h2>

New versions of the Kubernetes and Helm exporters are released. The manifests generated by these versions work with version 0.5 and above of the [Chef Habitat Kubernetes Operator](https://github.com/habitat-sh/habitat-operator), but they will not work with earlier versions.

The Helm exporter now also includes the Chef Habitat Operator in exported charts.

[PR 4627: pkg-export-k8s: Adapt to Chef Habitat Operator API changes](https://github.com/habitat-sh/habitat/pull/4627)
[PR 4628: pkg-export-helm: Depend on Chef Habitat operator chart](https://github.com/habitat-sh/habitat/pull/4628)

<h2> Fix array access regression in template rendering </h2>

A regression in how array accesses are interpreted was introduced through a dependency upgrade in the 0.52.0 release, affecting templates in the form `{{foo[0]}}`. This is now fixed.

[PR 4620: Fix array access regression in template rendering](https://github.com/habitat-sh/habitat/pull/4620)

<h2> `hab svc load` respects currently-installed software </h2>

When starting or loading services, the Supervisor should always look for locally-installed software to run before reaching out to Builder. If a release that satisfies the package identifier given (as with, e.g. `hab svc load core/redis`) is found locally, no contact with Builder will be made.

There was a bug in one code branch of the `hab svc load` logic whereby this _did not_ happen, meaning that the Supervisor would _always_ try to find the software on Builder. This was particularly problematic for users trying to load services that have not been uploaded to Builder.

All start / load code paths should behave consistently now.

[PR 4607: `hab svc load` respects currently-installed software](https://github.com/habitat-sh/habitat/pull/4607)

<h2> Download on-demand packages from the `stable` channel </h2>

We fixed a bug where the “on-demand” downloading of packages was not scoped to a channel. Since the functionality of the `hab` CLI tool is broken out across several Chef Habitat packages, they are downloaded on-demand as they are needed. Due to how we version and release software, though, the impact of the bug was minimal; this fix ensures correctness going forward by strictly downloading only stable releases.

[PR 4565: Download on-demand packages from the `stable` channel](https://github.com/habitat-sh/habitat/pull/4565)

<h2> GitHub API client now honors the HTTPS_PROXY environment variable </h2>

Previously, communication with GitHub ignored any proxies present in the environment, which made communication behind e.g. a corporate firewall impossible. Now, if HTTPS_PROXY is set, it will be used.

[PR 4631: Convert github-api-client to use http-client, which respects proxies](https://github.com/habitat-sh/habitat/pull/4631)


<h2> Load secrets into the studio </h2>

Prior to this change all environment variables were scrubbed out of the studio environment. This was inconvenient when you wanted to pass in keys, passwords etc as part of your build. As of today you will be able to prefix your secret environment variables with `HAB_STUDIO_SECRET` to allow them to pass into the studio. Example:

`HAB_STUDIO_SECRET_SSH_KEY=”some secret_key”` will pass into the studio as `SSH_KEY=”some secret_key”`

You can see all the documented Environment Variables on our [docs page](https://www.habitat.sh/docs/reference/#environment-variables).

[PR 4573: Added ability to pass Chef Habitat secrets into the studio](https://github.com/habitat-sh/habitat/pull/4573) 
