---
title: Chef Habitat 0.78.0 Released
date: 2019-03-13
author: Christopher Maier
tags: release notes
category: product
classes: body-article
---

Habitat 0.78.0 Release Notes

We are happy to announce the release of Chef Habitat 0.78.0. We have a number of new features as well
as bug fixes, so please read on for all the details. If you just want the binaries, head on over to
[Install Chef Habitat](https://www.habitat.sh/docs/using-habitat/#install-habitat).

Thanks again for using Chef Habitat!

Highlights:

There are a handful of new features we'd like to highlight in this release.

All service shutdown activity (e.g., `hab svc stop`, `hab svc unload`, as well as shutdown for service upgrades) now happens asynchronously. This also means that any `post-stop` hook your service may have will also run asynchronously, so if you have long-running operations in that hook, they will no longer block other operations! All other hooks remain synchronous, but this is the first of many upcoming changes that will make more and more operations asynchronous. There was a corresponding release for the Launcher as a result of this work; you'll want to [make sure you update it](https://www.habitat.sh/docs/glossary/#launcher), as well.

Our `core/hab`, `core/hab-sup` and `core/hab-launcher` packages are all now built with debug symbols, so it should be easier to understand what is happening should you discover a bug in Chef Habitat.

You can now get client authentication with TLS on the Supervisor's HTTP gateway by providing the `--ca-certs=FILE` option.

We've also made some changes to the Supervisor's output that will make it look better on Windows systems.

For more info, check out the full changelog below:

#### New Features & Enhancements
- Asynchronous service shutdown [#6107](https://github.com/habitat-sh/habitat/pull/6107) ([christophermaier](https://github.com/christophermaier))
- Use --strip-debug for hab, sup, and launcher [#6275](https://github.com/habitat-sh/habitat/pull/6275) ([jaym](https://github.com/jaym))
- [sup] Enable client-authentication with TLS [#6172](https://github.com/habitat-sh/habitat/pull/6172) ([stevendanna](https://github.com/stevendanna))
- Add option to run the supervisor in "local mode" [#6209](https://github.com/habitat-sh/habitat/pull/6209) ([mpeck](https://github.com/mpeck))
- Adds origin deletion tool to hab binary [#6121](https://github.com/habitat-sh/habitat/pull/6121) ([eeyun](https://github.com/eeyun))

#### Bug Fixes
- Remove old templated content when adding a service [#6269](https://github.com/habitat-sh/habitat/pull/6269) ([christophermaier](https://github.com/christophermaier))
- refactor ctl_gateway and launcher to leverage windows color friendly StructuredOutput [#6256](https://github.com/habitat-sh/habitat/pull/6256) ([mwrock](https://github.com/mwrock))
- Fix plan build regression in 0.76.0 release [#6257](https://github.com/habitat-sh/habitat/pull/6257) ([baumanj](https://github.com/baumanj))

#### Merged Pull Requests
- Update to rust 1.33.0 [#6239](https://github.com/habitat-sh/habitat/pull/6239) ([raskchanky](https://github.com/raskchanky))
- Adds dependent plans build documentation [#5814](https://github.com/habitat-sh/habitat/pull/5814) ([rsertelon](https://github.com/rsertelon))
- Enable local installation of latest rustfmt [#6238](https://github.com/habitat-sh/habitat/pull/6238) ([raskchanky](https://github.com/raskchanky))
- Adds blog post for release 0.77.0 [#6254](https://github.com/habitat-sh/habitat/pull/6254) ([eeyun](https://github.com/eeyun))
